<?php
   include("funciones/funciones_backup.php");   
   include("conexion/conexion.php");
   include("Menu/menu_inicio.php");  
   include("Usuarios/mensajeros.php"); 

   $nombrepagina = "PROCESOS DE MENSAJEROS";
   encabezado($target); 
   $user=$_SESSION['validar'];
   $tamano_pagina=20;
   $_SESSION['tam']=$tamano_pagina;  
   $pagina = $_GET["pagina"];
	if(!$pagina){
		$inicio=0;
		$_SESSION['inicio']=$inicio;
		$pagina=1;
	}else{
		$inicio=($pagina-1)*$tamano_pagina;
		$_SESSION['inicio']=$inicio;
	}
    $filas=1;   
    if($filas == 1){ 
	 	class llamado{
	 		var $menuObj;
			function validar1($id_user,$id_sucursal){
				$this->menuObj=new menu_inicio();
				$this->menuObj->menu2($id_user,$id_sucursal);
			}
		}
		$llamadoObj=new llamado();
		$llamadoObj->validar1($_GET['id_user'],$_GET['suc']);
		entrada($user,$_GET['id_user'],$_GET['suc']);
		echo"</td>";
		echo"<td width=79% background=\"imagenes/bg3.jpg\" valign=top>";
		mostrar_cabeza_trabajo($nombrepagina);
		$perfil=$_SESSION['perfil'];
 
		if($perfil==1){
			$add='';
			if(!empty($valor)){
				$add .= "WHERE u.".$campo." LIKE '%".$valor."%'";
			}
		}else{
			$add="WHERE u.id_sucursal='".$_GET['suc']."'";
			if(!empty($valor)){
				$add .= " AND u.".$campo." LIKE '%".$valor."%'";
			}
		}
		$sql_mensajeros="SELECT u.id_mensajero, u.nombre, u.identificacion, u.direccion, u.telefono, u.tipo_transporte, u.id_sucursal, u.observaciones, u.estado, u.id_ciudad FROM mensajeros as u $add";
		//echo $sql_mensajeros;
		//echo "<br>";
		class filas{
			var $rowsobj;
			function cantidad($sql_consulta){
				$this->userObj=new select_zonas();
				$cant=$this->userObj->get_filas($sql_consulta);
				return $cant;
			}
		}
		$filasobj=new filas();
		$filas=$filasobj->cantidad($sql_mensajeros);
		$total_paginas= ceil($filas/$tamano_pagina);
		
		if(isset($Elimi)){
			delete($del_men,'mensajeros','id_mensajero');
		}
		
		unset($titulos);
		unset($query_nomina);
		$titulos[]="IDENTIFICACION";
		$titulos[]="NOMBRE";
		$titulos[]="DIRECCION";
		$titulos[]="TELEFONO";
		$titulos[]="TIPO TRANSPORTE";
		$titulos[]="CIUDAD";
		$titulos[]="SUCURSAL";
		
		$query_nomina="select m.id_mensajero, m.identificacion, m.nombre, m.direccion, m.telefono, 		
		                      m.movil, m.tipo_transporte, m.observaciones, m.estado, c.id_ciudad, m.id_sucursal
					  from mensajeros as m, sucursales as s, ciudades as c
					  where m.id_sucursal= s.id_sucursal and c.id_ciudad=m.id_ciudad";
		$_SESSION['sql_nomina']=$query_nomina;
		$_SESSION['titulos']=$titulos;

		
?>
<form action="" method="get" name="backup">
<CENTER>
<table width="250" border="0" class="primaria">
<tr class=miTable_tr>
<td colspan="2" class=miTable_th1><div align="center">..:: BUSCAR MENSAJERO ::..</div></td>
</tr>
<tr class="miTable_tr">
<td valign=top class=miTable_td width="100">
<select name="campo" class="inputbox">
<!--<option value="id_mensajero">ID</option>-->
<option value="nombre">NOMBRE</option>
<option value="identificacion">IDENTIFICACION</option>
<option value="telefono">TELEFONO</option>
<option value="movil">MOVIL</option>
</select></td>
<td valign=top class=miTable_td width="150"><input type="text" name="valor" class="inputbox"></td>
</tr>
<tr class=miTable_tr>
<td colspan="2" class=miTable_th1>
<input type="hidden" name="id_user" value="<? echo $_GET['id_user'];?>" class="inputbox">
<input type="hidden" name="suc" value="<? echo $_GET['suc'];?>" class="inputbox">
<input type="hidden" name="id_menu" value="<? echo $_GET['id_menu'];?>" class="inputbox">
<input type="submit" name="Buscar" value="Buscar" class="inputbox"></td>
</tr>
</table>
<table width="750" border="0" class="primaria">
    <?
    if(!empty($valor)){
        
  echo "<tr class=miTable_tr>
    <td colspan='1' class=iTable_th1><a href='ejecuta_mensajero.php?id_user=$id_user>&suc=$suc' class='mainlevel'><b>REGRESAR</b></a></td>
    <td colspan='8' class=miTable_th1><a href='xls_alfa.php'><img src='imagenes/xls_icon.gif'></a>Exportar</td>
    </tr>";

    }else{
echo "<tr class=miTable_tr>
    <td colspan='9' class=miTable_th1><a href='xls_alfa.php'><img src='imagenes/xls_icon.gif'></a>Exportar</td>
    </tr>";        
        
    }
    ?>
<tr class=miTable_tr>
<td colspan="9" class=miTable_th1><div align="center">..:: Procesos Mensajero ::..</div></td>
</tr>
<tr class=miTable_tr>
<td colspan="9" class=miTable_th1>Cantidad de registros encontrados <? print $filas;?></td>
</tr>
<tr class="miTable_tr">
<td valign=top class=miTable_th1 width="30">Id</td>
<td valign=top class=miTable_th1 width="100">C.C.</td>
<td valign=top class=miTable_th1 width="190">Nombre</td>
<td valign=top class=miTable_th1 width="190">Direccion</td>
<td valign=top class=miTable_th1 width="60">Telefono</td>
<td valign=top class=miTable_th1 width="80">Movil</td>
<td valign=top class=miTable_th1 width="100">Sucursal</td>
<td valign=top class=miTable_th1 colspan="2" width="60">Propiedad</td>
</tr>
<?
	class elimina{
		var $userObj;
		function eliminar($perfil,$add){
			$tamano_pagina=$_SESSION['tam'];
			$inicio=$_SESSION['inicio'];
			$this->userObj=new select_zonas();
			$this->userObj->lista_mensajero($inicio,$tamano_pagina,$_GET['suc'],$perfil,$add);
		}
	}
	$eliminaObj=new elimina();
	$eliminaObj->eliminar($perfil,$add);
?>
</tr>
<tr class=miTable_tr>
<td class=miTable_td colspan="9">
<div align="center">
<?
$id_user=$_GET['id_user'];
$id_sucursal=$_GET['suc'];
if($total_paginas>1){   echo "Paginas:";
	$start = ( $pagina-5 > 0 ? $pagina-5  : 1 );
	if($start > 1 ){
		print "&nbsp;<a href='ejecuta_mensajero.php?pagina=".($start-1)."&id_user=$id_user&suc=$id_sucursal&campo=$campo&valor=$valor'> << </A>";
	}
	for($i = 0; $i < 10 && $total_paginas >= $start+$i; $i++){
		if($pagina == $start+$i){
			print "&nbsp;&nbsp;".($start+$i); 
		}else{
			print "&nbsp;&nbsp;<a href='ejecuta_mensajero.php?pagina=".($start+$i)."&id_user=$id_user&suc=$id_sucursal&campo=$campo&valor=$valor'>". ($start+$i)." </A>";
		}
	}
	if($start+$i < $total_paginas){
		print "&nbsp;&nbsp;<a href='ejecuta_mensajero.php?pagina=".($start+$i)."&id_user=$id_user&suc=$id_sucursal&campo=$campo&valor=$valor'> >> </A>";
	}
} 
?>
</div></td>
</tr>
<td height="26" colspan="9" class="miTable_td" ><div align="right">
  <input type="submit" name="Elimi" value="Eliminar" class="inputbox" onclick="return confirmDel();" />
</div></td>
<tr class=miTable_tr>
<td class=miTable_th1 colspan="9">
<DIV align="center">
Ir a la pagina
<input type='text' name='pagina' value='' size="5" class="inputbox">
<input type='hidden' name='id_user' value='<? echo $id_user?>'>
<input type='hidden' name='suc' value='<? echo $id_sucursal?>'>
<input type='submit' name='' value='Ir' class="inputbox">
</DIV></td>
</tr>
</table>
<?
mostrar_pie();
} 
	echo"</td>";
	echo"</tr>";   
	echo"</table>";     
	echo"<table width=503 border=0 align=center cellpadding=0 cellspacing=0>";
	echo"<tbody><tr>";
	echo"<td></td>";
	echo"</tr>";
	echo"<tr>";
	echo"<td height=7 background=imagenes/lineas_pie.jpg><img src=index2_files/spacer.html width=1 height=15></td>";
	echo"</tr>";
	echo"<tr>";
?><td><center>
<? pie_de_pagina();?>
</center>
</td>
<?php
	echo"</tr>";
	echo"</tbody></table>";
	echo"</center>";
	echo"</body>";
	echo"</html>";
?>
</CENTER>
</form>
